
local theAuras = {};
local theMessage = "";
local theChannel = "SAY";
local playerName = UnitName("player");

theAuras["Aura Mastery"]          = 1;
theAuras["Bone Shield"]           = 1;
theAuras["Divine Protection"]     = 1;
theAuras["Divine Sacrifice"]      = 1;
theAuras["Divine Shield"]         = 1;
theAuras["Frenzied Regeneration"] = 1;
theAuras["Icebound Fortitude"]    = 1;
theAuras["Last Stand"]            = 1;
theAuras["Shield Wall"]           = 1;
theAuras["Survival Instincts"]    = 1;
theAuras["Unbreakable Armor"]     = 1;
theAuras["Vampiric Blood"]        = 1;

function ptorn_OnLoad()

    this:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
    this:RegisterEvent("PARTY_MEMBERS_CHANGED");
    
    SetChannel();
    
end

function ptorn_OnEvent(self, event, timestamp, type, sourceGUID, sourceName, sourceFlags, destGUID, destName, destFlags, x, spellName)

    if event == "COMBAT_LOG_EVENT_UNFILTERED" then

        if (sourceName == destName) and (destName == playerName) then

            if type == "SPELL_AURA_APPLIED" then

                if (theAuras[spellName] == 1) then

                    theMessage = "+++ " .. spellName .. " Up +++";

                end

            elseif type == "SPELL_AURA_REMOVED" then

                if (theAuras[spellName] == 1) then

                    theMessage = "--- " .. spellName .. " Down ---";

                end

            end

        end

        if theMessage ~= "" then
            SendChatMessage(theMessage, theChannel);
            theMessage = "";
        end
        
    elseif event == "PARTY_MEMBERS_CHANGED" then
    
        SetChannel();
        
    end

end

function SetChannel()

    if (GetNumRaidMembers() > 0 ) then
        theChannel = "RAID";
    elseif (GetNumPartyMembers() > 0) then
        theChannel = "PARTY";
    else
        theChannel = "SAY";
    end
    
end